.main {
    display: flex;
    align-items: center;
    align-content: center;
    flex-direction: column;
    margin: auto;
    margin-top: 30px;
    width: 400px;
    height: 550px;
    box-shadow: 0 3px 7px black;
}

#login-form {
    margin: auto;
    margin-left: 2vw;
    margin-right: 2vw;
}

input[type="text"],
input[type="number"],
input[type="email"] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

.heading {
    width: 100%;
    height: 25%;
    background-color: #04aa6d;
    font-size: xx-large;
    display: flex;
    align-items: center;
    color: white;
}

.content {
    text-align: center;
    width: 100%;
}

.button {
    margin-top: 3vh;
    margin-left: 23%;
}

button {
    background-color: #04aa6d;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 75%;
    border-radius: 20px;
    transition: transform 0.2s;
}

button:hover {
    opacity: 0.8;
    transform: scale(1.1);
}

@media (max-width: 1000px) {
    .main {
        width: 70vw;
        height: 50vh;
    }
    input[type="text"],
    input[type="number"],
    input[type="email"] {
        height: 15%;
        margin-bottom: 10px;
    }
    .heading {
        font-size: 3em;
    }
    #login-form {
        margin-top: 10%;
        width: 80%;
        height: 80%;
        font-size: xx-large;
    }
    button {
        height: 4vh;
    }
    .size {
        font-size: xx-large;
    }
    a {
        font-size: 3.5em;
    }
    .navbar-brand {
        margin-top: 20px;
        height: 140px;
        font-size: 5em !important;
    }
    .navbar-toggler {
        height: 5vh;
        width: 5vh;
    }
}